"use strict";

exports.__esModule = true;
exports.default = _default;

require("core-js/modules/es6.regexp.replace");

var loaderUtils = require('loader-utils');
/**
 * Allows you to import external files into a json value.
 * Can be used for any value, in an object or array.
 */


function _default(content) {
  // tslint:disable no-this-assignment
  var loaderContext = this;
  var options = loaderUtils.getOptions(loaderContext) || {};
  var done = loaderContext.async();
  loaderContext.cacheable();
  var newContent = content.replace(/(["'])import!(.*?)\1/gi, function (_, __, group) {
    var path = loaderUtils.stringifyRequest(loaderContext, group);
    if (options.processPath && typeof options.processPath === 'function') path = options.processPath(path);
    return "(\n  function() {\n    var result = require(" + path + ")\n    if (typeof result === 'function') {\n      result = result();\n    }\n    return result;\n  }\n)()";
  });
  done(null, newContent);
}